    import ThirdPartyCodeEndpoint from 'kayn/lib/Endpoints/ThirdPartyCodeEndpoint.js'

public class | source

# ThirdPartyCodeEndpoint

#### Extends:

Endpoint~Endpoint → PlatformSuperclass → ThirdPartyCodeEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | by: {"summonerID": *} |
public | config: * |
public | limiter: * |

## Method Summary

Public Methods
public | summonerID(summonerID: number): * Get third party code for a given summoner ID. |

## Inherited Summary

From class PlatformSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

PlatformSuperclass#constructor

## Public Members

### public by: {"summonerID": *} source

### public config: * source

### public limiter: * source

## Public Methods

### public summonerID(summonerID: number): * source

Get third party code for a given summoner ID.

Implements GET `/lol/platform/v3/third-party-code/by-summoner/{summonerId}`.

#### Params:

Name | Type | Attribute | Description
summonerID | number |  | The id of the summoner.

#### Return:

*